package proof;

import java.util.*;
import sdsi.*;

/**
 * Continue a name chain along a Hash equivalence.
 *
 * @deprecated part of the original {@link Prover} class.
 * {@link Prover2} is the tool clients should use now.
 */
public class HashNameNode extends NameNode {
	SDSIPrincipal principal;

	HashNameNode(SDSIPrincipal principal, NameNode next) {
		this.principal = principal;
		this.next = next;
	}

	public SDSIPrincipal getPrincipal() {
		return principal;
	}

	public Vector getNameVector() {
		return next.getNameVector();
	}
}
